<?php
 /**
 * Jamroom Audio module
 *
 * copyright 2020 The Jamroom Network
 *
 * This Jamroom file is LICENSED SOFTWARE, and cannot be redistributed.
 *
 * This Source Code is subject to the terms of the Jamroom Network
 * Commercial License -  please see the included "license.html" file.
 *
 * This module may include works that are not developed by
 * The Jamroom Network
 * and are used under license - any licenses are included and
 * can be found in the "contrib" directory within this module.
 *
 * This software is provided "as is" and any express or implied
 * warranties, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose are
 * disclaimed.  In no event shall the Jamroom Network be liable for
 * any direct, indirect, incidental, special, exemplary or
 * consequential damages (including but not limited to, procurement
 * of substitute goods or services; loss of use, data or profits;
 * or business interruption) however caused and on any theory of
 * liability, whether in contract, strict liability, or tort
 * (including negligence or otherwise) arising from the use of this
 * software, even if advised of the possibility of such damage.
 * Some jurisdictions may not allow disclaimers of implied warranties
 * and certain statements in the above disclaimer may not apply to
 * you as regards implied warranties; the other terms and conditions
 * remain enforceable notwithstanding. In some jurisdictions it is
 * not permitted to limit liability and therefore such limitations
 * may not apply to you.
 *
 * @copyright 2012 Talldude Networks, LLC.
 * @author Brian Johnson <brian [at] jamroom [dot] net>
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * config
 */
function jrShoutcastPlayer_config()
{
    $_tmp = array(
        'name'     => 'url',
        'default'  => 'https://popradiostream.se:8001',
        'type'     => 'text',
        'validate' => 'url',
        'required' => 'on',
        'label'    => 'Shoutcast URL',
        'help'     => 'Enter the http url or IP address including port',
        'order'    => 1
    );
    jrCore_register_setting('jrShoutcastPlayer', $_tmp);

    $_stream_types = array(
        'shoutcast' => 'shoutcast',
        'icecast'   => 'icecast'
    );
    $_tmp = array(
        'name'     => 'stream_type',
        'default'  => 'shoutcast',
        'type'     => 'select',
        'options'  => $_stream_types,
        'required' => 'on',
        'label'    => 'stream type',
        'help'     => 'Select the stream type. Default is shoutcast',
        'validate' => 'printable',
        'order'    => 2
    );
    jrCore_register_setting('jrShoutcastPlayer', $_tmp);

    $_tmp = array(
        'name'     => 'api_key',
        'default'  => '82444ac9c7c41f84a33d4d101d5b61cf',
        'type'     => 'text',
        'validate' => 'printable',
        'required' => 'on',
        'label'    => 'Vagalume Api Key',
        'sublabel' => 'For lyrics',
        'help'     => 'Visit https://api.vagalume.com.br/docs/ to get your API key',
        'order'    => 3
    );
    jrCore_register_setting('jrShoutcastPlayer', $_tmp);

    // Block Album Downloads
    $_tmp = array(
        'name'     => 'historic',
        'default'  => 'on',
        'type'     => 'checkbox',
        'validate' => 'onoff',
        'required' => 'on',
        'label'    => 'Show History',
        'help'     => 'Check this option to display recently played',
        'order'    => 4
    );
    jrCore_register_setting('jrShoutcastPlayer', $_tmp);

    return true;
}
