<script type="text/javascript">
    $(document).ready(function(){
        var settings = {
            'radio_name': "{$_conf.jrCore_system_name}",
            // URL of streaming without / on the final, eg: http://streaming.com:8080
            'url': "{$_conf.jrShoutcastPlayer_url}",
            // When choosing icecast, make sure the file 'player.log' in the document root is writeable.
            // Choose between 'shoutcast' or 'icecast'
            'streaming_type': "{$_conf.jrShoutcastPlayer_stream_type}",
            // Visit https://api.vagalume.com.br/docs/ to get your API key
            'api_key': "{$_conf.jrShoutcastPlayer_api_key}",
            // Set to true to get the last songs played
            'historic': {if $_conf.jrShoutcastPlayer_historic == 'on'} 'true' {/if},
            // Path to default cover art when none are found
            'default_cover_art': core_system_url + '/modules/jrShoutcastPlayer/img/bg-capa.jpg',
        };
        RADIO_NAME = settings.radio_name;
        URL = settings.url;
        URL_STREAMING = URL + '/streamIn';
        STREAMING_TYPE = settings.streaming_type;
        API_KEY = settings.api_key;
        HISTORIC = settings.historic;
        DEFAULT_COVER_ART = settings.default_cover_art;
        audio = new Audio(URL_STREAMING);
        jrShoutcastPlayer_init();
    })
</script>
<div id="sc_player">
    <div class="cover-site">
        <div id="bgCover"></div>
        <div class="bg-mask"></div>
    </div>
    <main>
        <section id="player">
            <div class="container">
                <div class="row web-player">
                    <div id="popup" class="player-pop">
                        <i class="fa fa-external-link"></i>
                    </div>
                    <div class="col-12">
                        <div class="row">
                            <div class="col-12 col-md-5">
                                <div class="cover-album">
                                    <div id="currentCoverArt"></div>
                                    <div class="watermark"></div>
                                </div>
                            </div>
                            <div class="col-12 ml-md-auto col-md-6">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="info-current-song">
                                            <h2 id="currentSong" class="current-song text-uppercase">...</h2>
                                            <h3 id="currentArtist" class="current-artist text-captalize">...</h3>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="row">
                                            <div class="play-pause col-12 col-md-2 text-center">
                                                <i id="playerButton" class="fa fa-play" onclick="jrShoutcastPlayer_togglePlay()"></i>
                                            </div>
                                            <div class="col-12 col-md-10 text-center">
                                                <div class="row volume-control">
                                                    <div class="volume-icon col-1"><i id="jrShoutcastPlayer_mute" class="fa fa-volume-up"></i></div>
                                                    <div class="volume-slide col-10 text-center">
                                                        <input type="range" id="volume" step="1" min="0" max="100" value="80">
                                                    </div>
                                                    <div class="percentual-volume col-12">Volume <span id="volIndicator">...</span>%</div>
                                                </div>
                                            </div>
                                            <div class="col-12 call-lyrics">
                                                <a href="#" class="lyrics" style="" data-target="#modalLyrics">Lyrics</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row historic">
                    <div class="col-12">
                        <h2>Recently Played</h2>
                        <div class="row" id="historicSong">
                        {$foo = 1}
                        {while $foo < 19}
                                <article class="col12">
                                    <div class="table music-info clearfix">
                                        <div class="table-row">
                                            <div class="table-cell" style="width: 20px; padding: 10px; text-align: right">{$foo}</div>
                                            <div class="table-cell" style="width: 65px">
                                                <div class="cover-historic"></div>
                                            </div>
                                            <div class="table-cell">
                                                <div>
                                                    <div class="song">...</div>
                                                    <div class="artist">...</div>
                                                </div>
                                            </div>
                                            <div class="table-cell" style="text-align: right">
                                                <div class="time">...</div>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                            <div style="display: none">{$foo++}</div>
                        {/while}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    <div class="modal fade" id="modalLyrics" tabindex="-1" role="dialog" aria-labelledby="lyricsSong" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="lyricsSong">Lyric</h5>
                    <button type="button" style="color: #fff" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body" id="lyric"></div>
                <div class="modal-footer">
                    <div class="vagalume text-center">
                        <br />Powered by <a href="https://www.vagalume.com.br/" target="_blank" rel="noopener">Vagalume</a>
                        <button type="button" class="btn btn-success" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="expand" class="expand-button"></div>
</div>